from typing_extensions import Optional

from escape.utils.widgets.base import LayoutConfig, MultiObjectLayout


def show(*widgets, config: Optional[LayoutConfig] = None):
    """Display widgets for different types of objects.

    Args:
        obj: Either a single object with its config, or a list of (object, config) tuples
        config: The configuration for the widget(s). For multiple objects, this is used as
               the configuration for the MultiObjectLayout.

    Returns:
        Either a BaseLayout for a single object, or a MultiObjectLayout
        for multiple objects.
    """
    if len(widgets) > 1:
        return MultiObjectLayout(widgets, config)
    else:
        return widgets[0]
